> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List automation runs



## OpenAPI

````yaml api-reference/openapi.v1.json GET /automations/{automationID}/runs
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /automations/{automationID}/runs:
    get:
      tags:
        - automations
      summary: List automation runs
      operationId: listAutomationRuns
      parameters:
        - in: path
          name: automationID
          required: true
          schema:
            format: uuid
            type: string
        - explode: false
          in: query
          name: limit
          schema:
            format: int64
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationRunListResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    AutomationRunListResponse:
      additionalProperties: false
      properties:
        runs:
          items:
            $ref: '#/components/schemas/AutomationRun'
          type: array
      required:
        - runs
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    AutomationRun:
      discriminator:
        mapping:
          failed:
            $ref: '#/components/schemas/AutomationRunFailed'
          pending:
            $ref: '#/components/schemas/AutomationRunPending'
          task_created:
            $ref: '#/components/schemas/AutomationRunTaskCreated'
        propertyName: status
      oneOf:
        - $ref: '#/components/schemas/AutomationRunPending'
        - $ref: '#/components/schemas/AutomationRunTaskCreated'
        - $ref: '#/components/schemas/AutomationRunFailed'
    AutomationRunFailed:
      additionalProperties: false
      properties:
        automation_id:
          format: uuid
          type: string
        created_at:
          format: date-time
          type: string
        error_message:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        project_id:
          format: uuid
          type: string
        scheduled_for:
          format: date-time
          type: string
        status:
          enum:
            - failed
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - automation_id
        - project_id
        - scheduled_for
        - status
        - created_at
        - updated_at
        - error_message
      type: object
    AutomationRunPending:
      additionalProperties: false
      properties:
        automation_id:
          format: uuid
          type: string
        created_at:
          format: date-time
          type: string
        id:
          format: uuid
          type: string
        project_id:
          format: uuid
          type: string
        scheduled_for:
          format: date-time
          type: string
        status:
          enum:
            - pending
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - automation_id
        - project_id
        - scheduled_for
        - status
        - created_at
        - updated_at
      type: object
    AutomationRunTaskCreated:
      additionalProperties: false
      properties:
        automation_id:
          format: uuid
          type: string
        created_at:
          format: date-time
          type: string
        id:
          format: uuid
          type: string
        project_id:
          format: uuid
          type: string
        scheduled_for:
          format: date-time
          type: string
        status:
          enum:
            - task_created
          type: string
        task_id:
          format: uuid
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - automation_id
        - project_id
        - scheduled_for
        - status
        - created_at
        - updated_at
        - task_id
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````